CentOS, Debian, Ubuntu三种VPS系统的LAMP属性小结

王志勇 发表于 2016年08月28日 12:04

为了使新开发的VPS面板,尽量多兼容不同的系统,这几天在Linux主机上重装了10多次系统。CentOS 5、6、7三种系统,Apache的进程都是httpd,配置文件位于/etc/httpd/conf/httpd.conf,PHP的配置文件位于/etc/php.ini,httpd进程所在的用户名是apache。
CentOS 5、6、7三种系统的Rewrite模块,默认都是开启的,安装PHP后直接支持Rewrite。
PHP的安装命令这三种系统都是yum -y install php。

Debian和Ubuntu的LAMP环境属性几乎相同。Apache的进程都是apache2,配置文件位于/etc/apache2/apache2.conf以及/etc/apache2/sites-enabled/000-default;apache2进程所在的用户名是www-data;Rewrite模块,默认不开启;php.ini这当中大部分系统都在/etc/php5/php.ini,例如Debian 6.0、8.0、Ubuntu 14.04。
PHP的安装命令这当中大部分系统都是apt-get -y install php5,而到了Ubuntu 16.04,改为apt-get -y install php。

由于时间的关系,MySQL还没来得及测试不同环境下的属性。MySQL的安装原理其实很好理解,需要假定它是一个完全独立的外挂,原本和Apache(或Nginx)、PHP是没有联系的。这些全部安装成功后,再安装MySQL。(在本机Windows下的MySQL安装也是同理,安装好Apache+PHP之后,最后安装MySQL,MySQL只是像一个外挂被PHP调用而已。)

关于PHP版本。基本上没有必要更新CentOS、Debian、Ubuntu自带的软件源,例如CentOS 5.3自带的PHP源是PHP 5.1.6,CentOS 6.7自带的PHP源是PHP 5.3.3,Ubuntu 12.04自带的PHP源是PHP 5.3.10,CentOS 7.0.1406自带的PHP源是PHP 5.4.16,Ubuntu 16.04自带的PHP源是PHP 7.0.8。想提高PHP版本,直接升级系统为高一些的版本即可。对于多数的PHP程序而言,PHP平台、以及Apache、Nginx、MySQL的新旧版本的区别很小。例如PHP+NoSQL,只要主机支持PHP就可以运行,哪怕是PHP4都可以正常运行。如果没有必要,无需追求高版本,而是哪个最节省资源,就用哪个。

有些PHP程序如果对PHP版本有强制的要求,例如phpMyAdmin要求PHP版本是5.3以上,那么系统就选用CentOS 6或者7。
32位和64位的系统,尚未看出文件配置上的区别。

还有一点不同,使用cp命令,如cp file1 file2,当file2存在时,CentOS系统会提示是否覆盖,而Debian、Ubuntu会直接覆盖而没有提示。

1条评论:
1   Byron 2016-09-20 16:27
好久不见。
欢迎继续写博。

发表评论:
名字: (*必填)
博客: (可省)

正文:

  记住信息?

直接发送Trackback到此文章

说明:本评论系统不支持HTML代码。(您的留言需要审核,审核规则请见这里。)

王志勇:程序设计者。
1980-09-26 (38周岁)

版权声明:本博客所有文章,均符合原创的定义,禁止转载,违者将必究;正确的方法是贴原文的标题和网址即可。

Blog存档 Archives

2018年10月
2018年09月(17)
2016年-2017年(9)
2014年06月-09月(10)
2013年 +

2012年 +
2011年 +
2010年 +
2009年 +
2008年 +
2007年 +
2006年 +
2005年09月(4)

Copyright © 2006-2018 auiou.com All rights reserved.
此Blog程序由王志勇编写 已经发布在Arsue